DBD::Gofer::Policy::pedantic(3)

NAME
DBD::Gofer::Policy::pedantic - The 'pedantic' policy for DBD::Gofer

SYNOPSIS
  $dbh = DBI->connect("dbi:Gofer:transport=...;policy=pedantic", ...)

DESCRIPTION
The "pedantic" policy tries to be as transparent as possible. To do this it makes round-trips to the server for almost every DBI method call.

This is the best policy to use when first testing existing code with Gofer. Once it's working well you should consider moving to the "classic" policy or defining your own policy class.

Temporary docs: See the source code for list of policies and their defaults.

In a future version the policies and their defaults will be defined in the pod and parsed out at load-time.

AUTHOR
Tim Bunce, <http://www.tim.bunce.name>

LICENCE AND COPYRIGHT
Copyright (c) 2007, Tim Bunce, Ireland. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See perlartistic.